# NEDElementFactory Class Reference
[Data classes]

`#include <nedelements.h>`

List of all members.

## Detailed Description

GENERATED CLASS.

Factory for NEDElement subclasses.

## Public Member Functions

virtual | ~NEDElementFactory ()
virtual NEDElement * | createNodeWithTag (const char *tagname)
virtual NEDElement * | createNodeWithTag (int tagcode)

## Static Public Member Functions

static NEDElementFactory * | getInstance ()

## Constructor & Destructor Documentation

virtual NEDElementFactory::~NEDElementFactory | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual NEDElement* NEDElementFactory::createNodeWithTag | ( | int | tagcode | ) | `[virtual]`

| Creates NEDElement subclass which corresponds to tagcode.

virtual NEDElement* NEDElementFactory::createNodeWithTag | ( | const char * | tagname | ) | `[virtual]`

| Creates NEDElement subclass which corresponds to tagname.

static NEDElementFactory* NEDElementFactory::getInstance | ( |  | ) | `[static]`

| Returns factory instance.

The documentation for this class was generated from the following file:

- nedelements.h